Package org.apache.commons.configuration2.ex

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.configuration2.ex.ConfigurationException

- All Implemented Interfaces:
    `Serializable`

      public class ConfigurationException
      extends Exception

  Any exception that occurs while initializing a Configuration object.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationException()` | Constructs a new `ConfigurationException` without specified detail message.
    `ConfigurationException​(String message)` | Constructs a new `ConfigurationException` with specified detail message.
    `ConfigurationException​(String message, Throwable cause)` | Constructs a new `ConfigurationException` with specified detail message and nested `Throwable`.
    `ConfigurationException​(Throwable cause)` | Constructs a new `ConfigurationException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException()

      Constructs a new `ConfigurationException` without specified detail message.

    - #### ConfigurationException

          public ConfigurationException​(String message)

      Constructs a new `ConfigurationException` with specified detail message.
      Parameters:
        `message` - the error message

    - #### ConfigurationException

          public ConfigurationException​(Throwable cause)

      Constructs a new `ConfigurationException` with specified nested `Throwable`.
      Parameters:
        `cause` - the exception or error that caused this exception to be thrown

    - #### ConfigurationException

          public ConfigurationException​(String message,
                                        Throwable cause)

      Constructs a new `ConfigurationException` with specified detail message and nested `Throwable`.
      Parameters:
        `message` - the error message
        `cause` - the exception or error that caused this exception to be thrown